import axios from 'axios'
import Vue from 'vue';
const signalServerConfig = Vue.prototype.signalServerConfig;

export function utcSingal(data) {
    return axios({
        url: Vue.prototype.utcSingalUrl + data,
        method: 'get'
    })
}

// 获取路口信息
export function reqCrossLaneInfo(data) {
    return axios({
        url: signalServerConfig + '/ridLaneRelation/findCrossLane',
        method: 'get',
        params: data
    })
}

export function reqNowPhase(data) {
    return axios({
        url: signalServerConfig + '/crossPhaseLight/crossPhase',
        method: 'get',
        params: data
    })
}

export function getSignalInfo(data) {
    return axios({
        url: signalServerConfig + '/handControl/getSignalInfo',
        method: 'get',
        params: data
    })
}

export function reqcrossPlanRealtimeLog(data) {
    return axios({
        url: signalServerConfig + "/crossPlanRealtimeLog/",
        method: 'get',
        params: data
    })
}

export function crossDeviceStatusInfo(data) {
    return axios({
        url: signalServerConfig + "/menu/homePageTreeList",
        method: 'get',
        params: data
    })
}

export function reqPlanManage(data) {
    return axios({
        url: signalServerConfig + "/planManage/single/",
        method: 'get',
        params: data
    })
}

